al_draw_polygon(3)

NAME

al_draw_polygon - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_primitives.h>
    void al_draw_polygon(const float *vertices, int vertex_count,
       int join_style, ALLEGRO_COLOR color, float thickness, float miter_limit)

DESCRIPTION

Draw an unfilled polygon. This is the same as passing ALLEGRO_LINE_CAP_CLOSED to al_draw_polyline(3).

•   vertex - Interleaved array of (x, y) vertex coordinates

•   vertex_count - Number of vertices in the array

•   join_style - Member of ALLEGRO_LINE_JOIN(3) specifying how to render the joins between line segments

•   color - Color of the line

•   thickness - Thickness of the line, pass <= 0 to draw hairline lines

•   miter_limit - Parameter for miter join style

SINCE

5.1.0

SEE ALSO

al_draw_filled_polygon(3), al_draw_polyline(3), ALLEGRO_LINE_JOIN(3)